from mod_python import apache
import re
import os
import sys
path = os.path

gamelist = '/home/castleparadox/web/gamelist/'

def printfile(req, basedir, folder, f):
    if f:
        req.write("%s\nhttp://www.castleparadox.com/gamelist/%s/%s\n%d\n" % (f, folder, f, os.stat(path.join(basedir, folder, f)).st_mtime))

def handler(req):
    req.content_type = 'text/plain'
    for folder in os.listdir(gamelist):
        if folder.isdigit():
            req.write("Unknown name\nUnknown Author\nhttp://www.castleparadox.com/gamelist-display.php?game=%s\n" % folder)
            zipf = None
            img = None
            for name in os.listdir(path.join(gamelist, folder)):
                f = path.join(gamelist, folder, name)
                if f.endswith('.zip'):
                    zipf = path.basename(f)
                elif re.search(r'\.(png|gif|jpg)$', f):
                    img = path.basename(f)
            if zipf:
                printfile(req, gamelist, folder, zipf)
            if img:
                printfile(req, gamelist, folder, img)
            req.write("\n")
    return apache.OK
